import { openBlock, createElementBlock, toDisplayString } from 'vue';

var script = {
  name: "FccButton",
  // vue component name
  props: {
    text: {
      type: String,
      default: "Enter Button Text Here"
    }
  },

  data() {}

};

const _hoisted_1 = {
  class: "btn-cta"
};
function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("button", _hoisted_1, toDisplayString($props.text), 1);
}

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = "\n.btn-cta {\n  background-color: #d0d0d5;\n  border-width: 3px;\n  border-color: #1b1b32;\n  border-radius: 0;\n  border-style: solid;\n  color: #1b1b32;\n  display: block;\n  margin-bottom: 0;\n  font-weight: normal;\n  text-align: center;\n  -ms-touch-action: manipulation;\n  touch-action: manipulation;\n  cursor: pointer;\n  white-space: nowrap;\n  padding: 6px 12px;\n  font-size: 18px;\n  line-height: 1.42857143;\n}\n.btn-cta:active:hover,\n.btn-cta:focus,\n.btn-cta:hover {\n  background-color: #1b1b32;\n  border-width: 3px;\n  border-color: #000;\n  background-image: none;\n  color: #f5f6f7;\n}\n";
styleInject(css_248z);

script.render = render;

/* eslint-disable import/prefer-default-export */

var components = /*#__PURE__*/Object.freeze({
  __proto__: null,
  EmojiButton: script
});

// Import vue components

const install = function installVueEmojiButton(app) {
  Object.entries(components).forEach(([componentName, component]) => {
    app.component(componentName, component);
  });
}; // Create module definition for Vue.use()

export { script as EmojiButton, install as default };
